libzypp: zypp/sat/detail/PoolImpl.cc File Reference

libzypp 17.38.6

PoolImpl.cc File Reference
`#include <iostream>`
`#include <fstream>`
`#include <boost/mpl/int.hpp>`
`#include <boost/mpl/assert.hpp>`
`#include <zypp-core/base/Easy.h>`
`#include <zypp-core/base/LogTools.h>`
`#include <zypp-core/base/Gettext.h>`
`#include <zypp-core/base/Exception.h>`
`#include <zypp/base/Measure.h>`
`#include <zypp-core/fs/WatchFile>`
`#include <zypp-core/parser/Sysconfig>`
`#include <zypp-core/base/IOStream.h>`
`#include <zypp/ZConfig.h>`
`#include <zypp/ng/sat/stringpool.h>`
`#include <zypp/sat/detail/PoolImpl.h>`
`#include <zypp/sat/SolvableSet.h>`
`#include <zypp/sat/Pool.h>`
`#include <zypp/Capability.h>`
`#include <zypp/Locale.h>`
`#include <zypp/PoolItem.h>`
`#include <zypp/target/modalias/Modalias.h>`
`#include <zypp/media/MediaPriority.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::env
| Namespace intended to collect all environment variables we use.
namespace | zypp::sat
| Libsolv interface
namespace | zypp::sat::detail

## Macros
#define | ZYPP_BASE_LOGGER_LOGGROUP "zypp::satpool"

## Functions
int | repo_add_helix (::Repo *repo, FILE *fp, int flags)
int | testcase_add_testtags (Repo *repo, FILE *fp, int flags)
int | zypp::env::LIBSOLV_DEBUGMASK ()
| zypp::sat::detail::BOOST_MPL_ASSERT_RELATION (noId,==, STRID_NULL)
| zypp::sat::detail::BOOST_MPL_ASSERT_RELATION (emptyId,==, STRID_EMPTY)
| zypp::sat::detail::BOOST_MPL_ASSERT_RELATION (noSolvableId,==, ID_NULL)
| zypp::sat::detail::BOOST_MPL_ASSERT_RELATION (systemSolvableId,==, SYSTEMSOLVABLE)
| zypp::sat::detail::BOOST_MPL_ASSERT_RELATION (solvablePrereqMarker,==, SOLVABLE_PREREQMARKER)
| zypp::sat::detail::BOOST_MPL_ASSERT_RELATION (solvableFileMarker,==, SOLVABLE_FILEMARKER)
| zypp::sat::detail::BOOST_MPL_ASSERT_RELATION (Capability::CAP_AND,==, REL_AND)
| zypp::sat::detail::BOOST_MPL_ASSERT_RELATION (Capability::CAP_OR,==, REL_OR)
| zypp::sat::detail::BOOST_MPL_ASSERT_RELATION (Capability::CAP_COND,==, REL_COND)
| zypp::sat::detail::BOOST_MPL_ASSERT_RELATION (Capability::CAP_UNLESS,==, REL_UNLESS)
| zypp::sat::detail::BOOST_MPL_ASSERT_RELATION (Capability::CAP_ELSE,==, REL_ELSE)
| zypp::sat::detail::BOOST_MPL_ASSERT_RELATION (Capability::CAP_WITH,==, REL_WITH)
| zypp::sat::detail::BOOST_MPL_ASSERT_RELATION (Capability::CAP_WITHOUT,==, REL_WITHOUT)
| zypp::sat::detail::BOOST_MPL_ASSERT_RELATION (Capability::CAP_NAMESPACE,==, REL_NAMESPACE)
| zypp::sat::detail::BOOST_MPL_ASSERT_RELATION (Capability::CAP_ARCH,==, REL_ARCH)
| zypp::sat::detail::BOOST_MPL_ASSERT_RELATION (namespaceModalias,==, NAMESPACE_MODALIAS)
| zypp::sat::detail::BOOST_MPL_ASSERT_RELATION (namespaceLanguage,==, NAMESPACE_LANGUAGE)
| zypp::sat::detail::BOOST_MPL_ASSERT_RELATION (namespaceFilesystem,==, NAMESPACE_FILESYSTEM)
const Pathname & | zypp::sat::detail::sysconfigStoragePath ()
static void | zypp::sat::detail::logSat (CPool *, void *data, int type, const char *logString)
static void | zypp::sat::detail::_getLocaleDeps (const Capability &cap_r, LocaleSet &store_r)

## Macro Definition Documentation

## ◆ ZYPP_BASE_LOGGER_LOGGROUP

#define ZYPP_BASE_LOGGER_LOGGROUP "zypp::satpool"

Definition at line 52 of file PoolImpl.cc.

## Function Documentation

## ◆ repo_add_helix()

int repo_add_helix | ( | ::Repo * | repo,
|  | FILE * | fp,
|  | int | flags )

## ◆ testcase_add_testtags()

int testcase_add_testtags | ( | Repo * | repo,
|  | FILE * | fp,
|  | int | flags )